Create a standard individual verification session
Creates a new KYC verification session for an individual. This endpoint initiates the identity verification process by collecting personal information and document details. The session will generate upload URLs for document images and can optionally require liveness verification.
Authorization
x-api-key In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/kyc/individual-verification-sessions/standard" \ -H "accept-language: string" \ -H "x-language: string" \ -H "Content-Type: application/json" \ -d '{ "firstName": "string", "lastName": "string", "birthDate": "string", "documentCategory": "PASSPORT", "documentCountry": "BRAZIL", "documentId": "string", "livenessRequired": true }'{ "session": { "id": "string", "individualId": "string", "status": "PENDING", "livenessRequired": true, "preFlight": true, "failureReason": "string", "firstName": "string", "lastName": "string", "birthDate": "string", "document": { "id": "string", "type": "string", "category": "string" }, "createdAt": "string", "updatedAt": "string" }, "backDocumentUpload": { "url": "string", "fields": { "property1": "string", "property2": "string" } }, "frontDocumentUpload": { "url": "string", "fields": { "property1": "string", "property2": "string" } }}Create a standard business verification session POST
Creates a new KYC verification session for a business. This endpoint initiates the business identity verification process by collecting company information (legal name, CNPJ, legal nature, contact details) and owners information. The session will generate upload URLs for the company proof of address document, social contract document, and owner documents (document and proof of address for each owner).
Soft delete an individual DELETE
Marks an individual as deleted so it can no longer be used for ramps. Deletion is soft (deletedAt is set) and does not remove historical records.